@echo off
cd /d %~dp0
setlocal enabledelayedexpansion
set credential=ostremote-dev-dummy
echo %~x1 | findstr /i "mlf hctsw" > nul
if %errorlevel%==0 (
call ostremote2 -m %1 -e -f -s -ad -v -t %credential%
goto eof
)
echo %~x1 | findstr /i "qlz" > nul
if %errorlevel%==0 (
call ostremote2 -q %1 -e -f -s -ad -v -t %credential%
goto eof
)
echo %~x1 | findstr /i "nb0" > nul
if %errorlevel%==0 (
call ostremote2 -n %1 -e -f -s -ad -v -t %credential%
goto eof
)
echo 错误：该文件不是受支持的格式，无法刷写。
:eof
pause